<!-- IGAC proyecto SNC -->
<!-- @author felipe.cadena -->
<!-- @cu CU-NP-CO-219 -->
<!-- @description  página en la que se selecciona un funbcionario para reasignar los tramites seleccionados -->



<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" columns="1" cellspacing="3"
             width="100%" id="panelGridAsignacionFuncionario">

    <h:form id="asignarFuncionarioForm">
        <p:ajaxStatus onstart="statusDialog.show();" onsuccess="statusDialog.hide();"
                      onerror="statusDialog.hide();"/>
        <p:spacer height="20" width="0" />
        <p:messages id="msgReasignarTramite" showDetail="false" 
                    globalOnly="false" />

        <p:spacer height="20" width="0" />
        <p:dataTable 
            var="usuario" widgetVar="cargaEjecutoresDTWV"
            rowKey="#{usuario.login}"
            value="#{administracionAsignacionUsuarios.funcionariosTramiteDTO}"
            selection="#{administracionAsignacionUsuarios.funcionarioSeleccionadoParaAsignacion}"
            selectionMode="single"
            emptyMessage="No se encontraron funcionarios">

            <f:facet name="header">
                Carga de trámites de los usuarios
            </f:facet>

            <p:column headerText="Nombre">
                <h:outputText value="#{usuario.nombreCompleto}" />
            </p:column>


        </p:dataTable>

        <p:spacer height="30" width="0" />

        <p:outputPanel layout="block" style="text-align: left">
            <p:commandButton value="Consultar trámites asignados"                             
                             action="#{administracionAsignacionUsuarios.consultarTramitesAsignadosAEjecutor}"
                             icon="ui-icon-folder-collapsed"
                             onclick="if (cargaEjecutoresDTWV.selection.length === 0) {
                                         alert('Debe seleccionar un ejecutor!');
                                         return false;
                                     } else {
                                         statusDialog2.show();
                                     }"
                             oncomplete="cargaTramitesUsuarioWV.show(); statusDialog2.hide();"
                             update=":cargaTramitesUsuarioForm" />
            <p:spacer height="0" width="5" />
            <p:commandButton value="Asignar usuario" icon="ui-icon-person"
                             onclick="if (cargaEjecutoresDTWV.selection.length === 0) {
                                         alert('Debe seleccionar un ejecutor!');
                                         return false;
                                     }"
                             onstart="statusDialog2.show();"
                             action="#{administracionAsignacionUsuarios.confirmarReasignacion}" id="btnAsignar"
                             update=":formConsultaTramite, msgReasignarTramite"
                             oncomplete="handleCompleteSIC(xhr, status, args, asignacionFuncionarioWV, false);statusDialog2.hide()"
                             />
            <p:spacer height="0" width="5" />
            <p:commandButton value="Cerrar" onclick="asignacionFuncionarioWV.hide()" icon="ui-icon-close"/>
        </p:outputPanel>

    </h:form>
</h:panelGrid>